Skip to content

listSimulations

GET
/v1/developers/projects/{project_id}/simulations
curl --request GET \
--url https://testnet-rpc.necter.network/v1/developers/projects/example/simulations \
--header 'Authorization: Bearer <token>'
project_id
required
string
/^0x[0-9a-f]{64}$/

Runs

Media typeapplication/json
object
items
Array<object>
object
simulation_id
required
string
project_id
required
string
/^0x[0-9a-f]{64}$/
status
required
string
Allowed values: running passed failed
results
Array<object>
object
round_id
required
string
success
required
boolean
output
required
string
receipt_hash
required
string
/^0x[0-9a-f]{64}$/
gas_used
required
integer
events
Array<object>
object
name
string
data
consensus
required
object
state
string
votes
integer
quorum
integer
error
string | null
logs
Array<string>
started_at
required
integer
completed_at
One of:
integer

Example

{
"items": [
{
"status": "running"
}
]
}